var is = require("../vows-is.js"),
	should = require("should");

var util = require("util");

is.config(require("./config.js"));

var thing = is.suite("vows-is").batch()

	.context("a request to GET /")
		.topic().is.a.request("GET /")
		.vow("returns 200").it.should.have.status(200)
		.vow("returns text/html").it.should.have
			.header("content-type", "text/html; charset=utf-8")
		.context("contains a body")
			.topic().is.property('body')
			.vow("that exists").it.should.be.ok
			.vow("contains hello world").it.should.include.string("hello world")

.suite().export(module);